---
title: SensorErrorEvent.SensorErrorEvent()
slug: Web/API/SensorErrorEvent/SensorErrorEvent
tags:
  - API
  - Constructor
  - Error
  - Generic Sensor API
  - Reference
  - Sensor
  - Sensor APIs
  - SensorErrorEvent
  - Sensors
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>SensorErrorEvent</code></strong> constructor creates a new {{domxref("SensorErrorEvent")}} object which provides information about errors thrown by any of the interfaces based on {{domxref('Sensor')}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>sensorErrorEvent</var> = new SensorErrorEvent(<var>type</var>, {error: <var>domException</var>});</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>type</em></dt>
 <dd>Will always be <code>'SensorErrorEvent'</code>.</dd>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>Currently only one option is supported:
 <ul>
  <li><code>error</code>: An instance of {{jsxref('DOMException')}}.</li>
 </ul>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor','#dom-sensorerrorevent-sensorerrorevent','SensorErrorEvent')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SensorErrorEvent.SensorErrorEvent")}}</p>
